'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lfsCommands = require('./lfsCommands');

var _constants = require('../constants');

var _generateResponse = require('../utils/generateResponse');

var _generateResponse2 = _interopRequireDefault(_generateResponse);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var pointer = function pointer(repo, filePath, pointerPath) {
  var args = '';
  if (filePath) {
    args += '--file=' + filePath + ' ';
  }
  if (pointerPath) {
    args += '--file=' + pointerPath + ' ';
  }

  var response = (0, _generateResponse2.default)();
  var repoPath = repo.workdir();

  return _lfsCommands.core.pointer(args, { cwd: repoPath }).then(function (_ref) {
    var stdout = _ref.stdout,
        stderr = _ref.stderr;

    response.raw = stdout;

    if (stderr) {
      response.success = false;
      response.errno = _constants.BAD_CORE_RESPONSE;
      response.stderr = stderr;
      return response;
    }

    response.buffer = Buffer.from(stdout);
    return response;
  });
};

exports.default = pointer;