'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lfsCommands = require('./lfsCommands');

var _checkDependencies = require('../utils/checkDependencies');

var _constants = require('../constants');

var _generateResponse = require('../utils/generateResponse');

var _generateResponse2 = _interopRequireDefault(_generateResponse);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var version = function version() {
  var response = (0, _generateResponse2.default)();
  return _lfsCommands.core.version().then(function (_ref) {
    var stdout = _ref.stdout,
        stderr = _ref.stderr;

    response.raw = stdout;

    if (stderr) {
      response.stderr = stderr;
      response.success = false;
      response.errno = _constants.BAD_CORE_RESPONSE;
    } else {
      response.version = (0, _checkDependencies.parseVersion)(stdout, _constants.regex.LFS);
    }

    return response;
  });
};

exports.default = version;