'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _lfsCommands = require('./commands/lfsCommands');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var builldArgs = function builldArgs(options) {
  var opts = options || {};
  var args = [];
  if (opts.local) {
    args.push('--local');
  }
  return _ramda2.default.join(' ', args);
};

var initialize = function initialize(repo, options) {
  var workdir = repo.workdir();
  var lfsDir = _path2.default.join(workdir, '.git', 'lfs');

  return _fsExtra2.default.pathExists(lfsDir).then(function (exists) {
    if (exists) {
      return Promise.resolve();
    }
    return _lfsCommands.core.install(builldArgs(options), { cwd: workdir });
  });
};

exports.default = initialize;