'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _child_process = require('child_process');

var _child_process2 = _interopRequireDefault(_child_process);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var exec = function exec(command, input, opts) {
  return new Promise(function (resolve, reject) {
    var options = _ramda2.default.mergeDeepRight(opts || {}, { env: process.env });

    if (process.platform !== 'win32' && !_ramda2.default.contains('/usr/local/bin', options.env.PATH)) {
      options.env.PATH = options.env.PATH + ':/usr/local/bin';
    }

    var proc = _child_process2.default.exec(command, options, function (err, stdout, stderr) {
      if (err) {
        reject(err);
      } else {
        resolve({ proc: proc, stdout: stdout, stderr: stderr });
      }
    });

    if (input) {
      proc.stdin.write(input);
      proc.stdin.end();
    }
  });
};

exports.default = exec;